close all
clear all
clc

%%  
tinjection = 2000; %in ms 
tinjection2 = 6000; 

%The name of the files: "Analysis_SampleDescription1_SampleDescription2_ddmmyyyy.txt"
% See sample %10wt%WPI a-w for the description of the variables

%10wt%WPI a-w
WPI10air = dlmread('ADT_Air_WPI10wt_04092023.txt', '\t', 4, 0);
t10air=WPI10air(:,1); %time obtained in the analysis
t10air=t10air*1000+tinjection; %from sec to ms + tinjection
IFT10air=WPI10air(:,2); %interfacial tension measured in the analysis

WPI10airedge = dlmread('EDGE_Air_WPI10wt_30082023.txt', '\t', 1, 0);
t10aired=WPI10airedge(:,13); %analyzed data (adsorption time, ms)
errt10aired=WPI10airedge(:,14); %%error
IFT10aired=WPI10airedge(:,16); %analyzed data (interfacial tension, mN/m)
SurfP10aired=WPI10airedge(:,17); %analyzed data (surface pressure, mN/m)
IFTratio10aired=WPI10airedge(:,18); %analyzed data (interfacial tension ratio)

%5wt%WPI a-w
WPI5air = dlmread('ADT_Air_WPI5wt_08092023_2.txt', '\t', 4, 0);
t5air=WPI5air(:,1);
t5air=t5air*1000+tinjection; %from sec to ms + tinjection
IFT5air=WPI5air(:,2); 

WPI5airedge = dlmread('EDGE_Air_WPI5wt_06092023.txt', '\t', 1, 0);
t5aired=WPI5airedge(:,13);
errt5aired=WPI5airedge(:,14); %%error
IFT5aired=WPI5airedge(:,16); 
SurfP5aired=WPI5airedge(:,17); 
IFTratio5aired=WPI5airedge(:,18); 

%2.5wt%WPI a-w
WPI2p5air = dlmread('ADT_Air_WPI2p5wt_04092023.txt', '\t', 4, 0);
t2p5air=WPI2p5air(:,1);
t2p5air=t2p5air*1000+tinjection; %from sec to ms + tinjection
IFT2p5air=WPI2p5air(:,2); 

WPI2p5airedge = dlmread('EDGE_Air_WPI2p5wt_30082023.txt', '\t', 1, 0);
t2p5aired=WPI2p5airedge(:,13);
errt2p5aired=WPI2p5airedge(:,14); %%error
IFT2p5aired=WPI2p5airedge(:,16); 
SurfP2p5aired=WPI2p5airedge(:,17); 
IFTratio2p5aired=WPI2p5airedge(:,18); 
%_____________________________________________________________%
%-------------------------------------------------------------%

%10wt%WPI o-w
WPI10hex = dlmread('ADT_Hex_WPI10wt_05092023_2.txt', '\t', 4, 0);
t10hex=WPI10hex(:,1);
t10hex_correct=t10hex*1000; %time obtained directly from the measurements (not considering the injection time)
%t10hex=t10hex*1000+tinjection; %from sec to ms + tinjection
IFT10hex=WPI10hex(:,2); 

WPI10hexedge = dlmread('EDGE_Hex_WPI10wt_11072023.txt', '\t', 1, 0);
t10hexed=WPI10hexedge(:,12);
errt10hexed=WPI10hexedge(:,13); %%error
IFT10hexed=WPI10hexedge(:,15); 
SurfP10hexed=WPI10hexedge(:,16); 
IFTratio10hexed=WPI10hexedge(:,17); 

%5wt%WPI o-w
WPI5hex = dlmread('ADT_Hex_WPI5wt_08092023.txt', '\t', 4, 0);
t5hex=WPI5hex(:,1);
t5hex0=WPI5hex(:,1);
t5hex_correct=t5hex*1000; %%
t5hex=t5hex*1000+tinjection; %from sec to ms + tinjection
t5hex2=t5hex0*1000+tinjection2;
IFT5hex=WPI5hex(:,2); 

WPI5hexedge = dlmread('EDGE_Hex_WPI5wt_06092023.txt', '\t', 1, 0);
t5hexed=WPI5hexedge(:,12);
errt5hexed=WPI5hexedge(:,13); %%error
IFT5hexed=WPI5hexedge(:,15); 
SurfP5hexed=WPI5hexedge(:,16); 
IFTratio5hexed=WPI5hexedge(:,17); 

%2.5wt%WPI o-w
WPI2p5hex = dlmread('ADT_Hex_WPI2p5wt_06092023.txt', '\t', 4, 0);
t2p5hex=WPI2p5hex(:,1);
t2p5hex_correct=t2p5hex*1000;
%t2p5hex=t2p5hex*1000+tinjection; %from sec to ms + tinjection
IFT2p5hex=WPI2p5hex(:,2); 

WPI2p5hexedge = dlmread('EDGE_Hex_WPI2p5wt_29082023.txt', '\t', 1, 0);
t2p5hexed=WPI2p5hexedge(:,12);
errt2p5hexed=WPI2p5hexedge(:,13); %%error
IFT2p5hexed=WPI2p5hexedge(:,15); 
SurfP2p5hexed=WPI2p5hexedge(:,16); 
IFTratio2p5hexed=WPI2p5hexedge(:,17); 
%_____________________________________________________________%
%-------------------------------------------------------------%

%2wt%Tween 20 o-w
Tween2hex = dlmread('ADT_Hex_Tween20_2wt_31082023_2.txt', '\t', 4, 0);
t2tween=Tween2hex(:,1);
t2tween_correct=t2tween*1000;%time obtained directly from the measurements (not considering the injection time)
%t2tween=t2tween*1000+tinjection; %from sec to ms + tinjection
IFT2tween=Tween2hex(:,2); 

Tween2hexedge = dlmread('EDGE_Hex_Tween20_2wt_15082023.txt', '\t', 1, 0);
t2tweened=Tween2hexedge(:,12);
errt2tweened=Tween2hexedge(:,13); %%error
IFT2tweened=Tween2hexedge(:,15); 

%0.5wt%Tween 20 o-w
Tween0p5hex = dlmread('ADT_Hex_Tween20_0p5wt_31072023.txt', '\t', 5, 0);
t0p5tween=Tween0p5hex(:,1);
t0p5tween_correct=t0p5tween*1000;%time obtained directly from the measurements (not considering the injection time)
%t0p5tween=t0p5tween*1000+tinjection; %from sec to ms + tinjection
IFT0p5tween=Tween0p5hex(:,2); 

Tween0p5hexedge = dlmread('EDGE_Hex_Tween20_0p5wt_15082023.txt', '\t', 1, 0);
t0p5tweened=Tween0p5hexedge(:,12);
errt0p5tweened=Tween0p5hexedge(:,13); %%error
IFT0p5tweened=Tween0p5hexedge(:,15); 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% 
figure(1); hold on %correspondonds to figure 3 of the paper
subplot(1,2,1) %divides the current figure into an m -by- n grid and creates axes in the position specified by p
%plot(t2p5hexed, IFT2p5hexed, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC0033'); hold on 
%plot(t2p5hex(1:10:end), IFT2p5hex(1:10:end), 'sk', 'markersize', 12, 'markeredgecolor', '#CC0033', 'LineWidth',1); hold on 
%The interfacial tension measurements can be too crowded so "every 10 data points is plotted"
%plot(t5hexed, IFT5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
%plot(t5hex(1:10:end), IFT5hex(1:10:end), 'pk', 'markersize', 14, 'markeredgecolor', '#CC6633', 'LineWidth',1); hold on 
%plot(t10hexed, IFT10hexed, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CCCC33'); hold on 
%plot(t10hex(1:10:end), IFT10hex(1:10:end), '^k', 'markersize', 12, 'markeredgecolor', '#CCCC33', 'LineWidth',1); hold on 
 %   errorbar_x=errorbar(t2p5hexed, IFT2p5hexed, errt2p5hexed, 'horizontal', 'color', 'k'); hold on
  %     set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
   % errorbar_x=errorbar(t5hexed, IFT5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
      % set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
   % errorbar_x=errorbar(t10hexed, IFT10hexed, errt10hexed, 'horizontal', 'color', 'k'); hold on
    %   set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
plot(t5hexed, IFT5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
plot(t5hex_correct(1:10:end), IFT5hex(1:10:end), 'pk', 'markersize', 14, 'markeredgecolor', '#CC6633', 'LineWidth',1); hold on 
    errorbar_x=errorbar(t5hexed, IFT5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 3600000])
ylim([0 50])
set(gcf,'position',[0,0,1300,700]) %[x0,y0,width,height]
 ylabel({'$\gamma_d$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 24);
%legend('5 wt% WPI (o-w)', 'fontname', 'arial', 'fontsize', 14) 
%legend('2.5 wt% WPI (o-w)', '', '5 wt% WPI (o-w)', '', '10 wt% WPI (o-w)', '', 'fontname', 'arial', 'fontsize', 14) 
%legend('Location','best', 'NumColumns',1)

subplot(2,2,2)
plot(t5hexed, IFT5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
plot(t5hex(1:10:end), IFT5hex(1:10:end), 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',1); hold on 
    errorbar_x=errorbar(t5hexed, IFT5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on

box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 3600000])
ylim([0 50])
set(gcf,'position',[0,0,1300,700]) %[x0,y0,width,height]
 ylabel({'$\gamma_d$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);

subplot(2,2,4) 
%plot(t5hexed, IFT5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
%plot(t5hex_correct(1:10:end), IFT5hex(1:10:end), 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',1); hold on 
 %   errorbar_x=errorbar(t5hexed, IFT5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
  %     set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
plot(t5hexed, IFT5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
plot(t5hex2(1:10:end), IFT5hex(1:10:end), 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',1); hold on 
    errorbar_x=errorbar(t5hexed, IFT5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
  box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 3600000])
ylim([0 50])
set(gcf,'position',[0,0,1300,700]) %[x0,y0,width,height]
 ylabel({'$\gamma_d$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 24);
 
%% 
figure(2); hold on %correspondonds to figure 4 of the paper
subplot(1,2,1)
plot(t2p5hexed, IFT2p5hexed, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC0033'); hold on 
plot(t5hexed, IFT5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
plot(t10hexed, IFT10hexed, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CCCC33'); hold on 
    errorbar_x=errorbar(t2p5hexed, IFT2p5hexed, errt2p5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t5hexed, IFT5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t10hexed, IFT10hexed, errt10hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 10000])
ylim([20 50])
set(gcf,'position',[0,0,1100,400]) %[x0,y0,width,height]
 ylabel({'$\gamma_d$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 24);

subplot(1,2,2)
%
plot(t2p5hex_correct(1:10:end), IFT2p5hex(1:10:end), 'sk', 'markersize', 12, 'markeredgecolor', '#CC0033', 'LineWidth',1); hold on 
plot(t5hex_correct(1:10:end), IFT5hex(1:10:end), 'pk', 'markersize', 14, 'markeredgecolor', '#CC6633', 'LineWidth',1); hold on 
plot(t10hex_correct(1:10:end), IFT10hex(1:10:end), '^k', 'markersize', 12, 'markeredgecolor', '#CCCC33', 'LineWidth',1); hold on 
box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 3600000])
ylim([10 40])
set(gcf,'position',[0,0,1100,400]) %[x0,y0,width,height]
 ylabel({'$\gamma_d$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 24);
legend('2.5 wt% WPI (o-w)', '5 wt% WPI (o-w)', '10 wt% WPI (o-w)', 'fontname', 'arial', 'fontsize', 14) 
legend('Location','best', 'NumColumns', 1)

%% 
figure(3); hold on %correspondonds to figure 5 of the paper
subplot(1,2,1)
%SurfP2p5hexed in WPI2p5hexedge

plot(t2p5aired, SurfP2p5aired, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#990099'); hold on 
plot(t5aired, SurfP5aired, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#999999'); hold on 
plot(t10aired, SurfP10aired, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#99FF99'); hold on 
plot(t2p5hexed, SurfP2p5hexed, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC0033'); hold on 
plot(t5hexed, SurfP5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
plot(t10hexed, SurfP10hexed, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CCCC33'); hold on 
    errorbar_x=errorbar(t2p5aired, SurfP2p5aired, errt2p5aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t5aired, SurfP5aired, errt5aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t10aired, SurfP10aired, errt10aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
       errorbar_x=errorbar(t2p5hexed, SurfP2p5hexed, errt2p5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t5hexed, SurfP5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t10hexed, SurfP10hexed, errt10hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 10000])
ylim([0 25])
set(gcf,'position',[0,0,1100,700]) %[x0,y0,width,height]
 ylabel({'$\pi$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 24);
legend('2.5 wt% WPI (a-w)', '5 wt% WPI (a-w)', '10 wt% WPI (a-w)', '2.5 wt% WPI (o-w)', '5 wt% WPI (o-w)', '10 wt% WPI (o-w)', 'fontname', 'arial', 'fontsize', 14) 
legend('Location','best', 'NumColumns', 1)

subplot(3,2,2)
%IFTratio2p5hexed in WPI2p5hexedge
plot(t2p5aired, IFTratio2p5aired, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#990099'); hold on 
plot(t2p5hexed, IFTratio2p5hexed, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC0033'); hold on 
     errorbar_x=errorbar(t2p5aired, IFTratio2p5aired, errt2p5aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
     errorbar_x=errorbar(t2p5hexed, IFTratio2p5hexed, errt2p5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
       
box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([1 10000])
ylim([0 1.2])
set(gcf,'position',[0,0,1100,700]) %[x0,y0,width,height]
 ylabel({'$\gamma_d/\gamma_o$ $(-)$'}, 'Interpreter','latex', 'fontsize', 20);
 %xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 16);

subplot(3,2,4)
plot(t5aired, IFTratio5aired, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#999999'); hold on 
plot(t5hexed, IFTratio5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
     errorbar_x=errorbar(t5aired, IFTratio5aired, errt5aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
     errorbar_x=errorbar(t5hexed, IFTratio5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on

box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([1 10000])
ylim([0 1.2])
set(gcf,'position',[0,0,1100,550]) %[x0,y0,width,height]
 ylabel({'$\gamma_d/\gamma_o$ $(-)$'}, 'Interpreter','latex', 'fontsize', 20);
 %xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 16);

subplot(3,2,6)
plot(t10aired, IFTratio10aired, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#99FF99'); hold on 
plot(t10hexed, IFTratio10hexed, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CCCC33'); hold on 
     errorbar_x=errorbar(t10aired, IFTratio10aired, errt10aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
     errorbar_x=errorbar(t10hexed, IFTratio10hexed, errt10hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on 
box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([1 10000])
ylim([0 1.2])
set(gcf,'position',[0,0,1100,700]) %[x0,y0,width,height]
 ylabel({'$\gamma_d/\gamma_o$ $(-)$'}, 'Interpreter','latex', 'fontsize', 20);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 16);

%% 
figure(4); hold on %correspondonds to figure 2 of the paper
plot(t2p5hexed, IFT2p5hexed, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC0033'); hold on 
plot(t2p5hex_correct(1:10:end), IFT2p5hex(1:10:end), 'sk', 'markersize', 12, 'markeredgecolor', '#CC0033', 'LineWidth',1); hold on 
plot(t5hexed, IFT5hexed, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CC6633'); hold on 
plot(t5hex_correct(1:10:end), IFT5hex(1:10:end), 'pk', 'markersize', 14, 'markeredgecolor', '#CC6633', 'LineWidth',1); hold on 
plot(t10hexed, IFT10hexed, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#CCCC33'); hold on 
plot(t10hex_correct(1:10:end), IFT10hex(1:10:end), '^k', 'markersize', 12, 'markeredgecolor', '#CCCC33', 'LineWidth',1); hold on 

plot(t0p5tweened, IFT0p5tweened, 'dk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#3300CC'); hold on 
plot(t0p5tween_correct, IFT0p5tween, 'dk', 'markersize', 12, 'markeredgecolor', '#3300CC', 'LineWidth',1); hold on 
plot(t2tweened, IFT2tweened, 'Ok', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#3399CC'); hold on 
plot(t2tween_correct, IFT2tween, 'ok', 'markersize', 12, 'markeredgecolor', '#3399CC', 'LineWidth',1); hold on 
    
    errorbar_x=errorbar(t2p5hexed, IFT2p5hexed, errt2p5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t5hexed, IFT5hexed, errt5hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t10hexed, IFT10hexed, errt10hexed, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t0p5tweened, IFT0p5tweened, errt0p5tweened, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t2tweened, IFT2tweened, errt2tweened, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on

box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 3600000])
ylim([0 50])
set(gcf,'position',[0,0,600,600]) %[x0,y0,width,height]
 ylabel({'$\gamma_d$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 24);
legend('2.5 wt% WPI (o-w)', '', '5 wt% WPI (o-w)', '', '10 wt% WPI (o-w)', '', '0.5 wt% Tween 20 (o-w)', '', '2 wt% Tween 20 (o-w)', '', 'fontname', 'arial', 'fontsize', 12) 
legend('Location','northoutside', 'NumColumns',2)

%% 
figure(5); hold on %SI figure S2
%Interfacial tension air-water

plot(t2p5aired, IFT2p5aired, 'sk', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#990099'); hold on 
plot(t5aired, IFT5aired, 'pk', 'markersize', 14, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#999999'); hold on 
plot(t10aired, IFT10aired, '^k', 'markersize', 12, 'markeredgecolor', 'k', 'LineWidth',0.5, 'markerfacecolor', '#99FF99'); hold on 
    errorbar_x=errorbar(t2p5aired, IFT2p5aired, errt2p5aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t5aired, IFT5aired, errt5aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
    errorbar_x=errorbar(t10aired, IFT10aired, errt10aired, 'horizontal', 'color', 'k'); hold on
       set(errorbar_x, 'LineStyle', 'none','linewidth', 0.4); hold on
box on
set(gca, 'linewidth', 2.5)
set(gca,'yscale', 'lin')
set(gca, 'xscale', 'log')
set(gca, 'linewidth', 2, 'ticklength', [0.02 0.02]);
set(gca, 'fontsize', 16);
xlim([0 10000])
ylim([50 80])
set(gcf,'position',[0,0,1100,700]) %[x0,y0,width,height]
 ylabel({'$\gamma_d$ $(mN.m^{-1})$'}, 'Interpreter','latex', 'fontsize', 24);
 xlabel('$\tau$ $(ms)$', 'Interpreter','latex', 'fontsize', 24);
legend('2.5 wt% WPI (a-w)', '5 wt% WPI (a-w)', '10 wt% WPI (a-w)', 'fontname', 'arial', 'fontsize', 12) 
legend('Location','northoutside', 'NumColumns',1)

%__________________________________________________%
% END